Communauté
Inventor - Français
Bienvenue sur les forums Inventor d’Autodesk. Partagez vos connaissances, posez des questions, collaborez sur des idées, et explorez les sujets Inventor populaires.
annuler
Affichage des résultats de 
Afficher  uniquement  | Rechercher plutôt 
Vouliez-vous dire : 

Inventor : Mettre plusieurs part invisible en même temps

2 RÉPONSES 2
RÉSOLU
Répondre
Message 1 sur 3
MkEHWD
240 Visites, 2 Réponses

Inventor : Mettre plusieurs part invisible en même temps

Bonjour! J'ai lu dans un autre forum que la fonction Component.Visible("") = True/False est seulement pour une part à la fois. Je cherche un moyen de pouvoir l'utiliser une fois pour plusieurs part à la fois, car mon code deviens très gros à force de copier le même code. Exemple de mon code :

 

If NmbDeStation = 2 Then
	Component.Visible("Sta2") = True
	Component.Visible("Sta3") = False
	Component.Visible("Sta4") = False

If NmbDeStation = 3 Then
Component.Visible("Sta2") = True
Component.Visible("Sta3") = False
Component.Visible("Sta4") = False

Etc...

 

Merci


Le titre du sujet a été modifié par un modérateur pour faciliter la recherche. Titre original:
Mettre plusieurs part invisible en même temps

2 RÉPONSES 2
Message 2 sur 3
gmassart
en réponse à: MkEHWD

Bonsoir

Tu peux créer un array avec les nom des pièces dedans et parcourir ton array dans une boucle for then ou for each

Perso je ferais ça, limite tu peux même pousser le bouchon, créer une ipropriété, mettre les noms des pièces dedans séparées par ";" et ensuite utiliser une fonction split sur la ipropriété et tu boucles

 

Guillaume MASSART
AFFIVAL SAS
Inventor Pro 2022
EESignature

Message 3 sur 3
ThomasB44
en réponse à: MkEHWD

Salut @MkEHWD 

Tu peux aussi passer par une collection d'objets :

Dim oOcc As ComponentOccurrence
Dim oOccCol As Inventor.ObjectCollection
oOccCol = ThisApplication.TransientObjects.CreateObjectCollection
oOcc = ThisApplication.CommandManager.Pick(SelectionFilterEnum.kAssemblyOccurrenceFilter, "Select a component :")
		If Not oOcc Is  Nothing Then
		'Add component to collection
		oOccCol.Add(oOcc)

 


Thomas
Mechanical Designer / Inventor Professionnal 2023
Inventor Professional EESignature

Vous n'avez pas trouvé ce que vous recherchiez ? Posez une question à la communauté ou partagez vos connaissances.

Publier dans les forums  

Autodesk Design & Make Report